void printi(int val);

int main()
{
  int array[3][4];

  array[0][0] = 1;
  array[0][3] = 2;
  array[2][0] = 3;
  array[2][3] = 4;

  printi(array[0][0]);
  printi(array[0][3]);
  printi(array[2][0]);
  printi(array[2][3]);

  return 0;
}
